Subject: Re: [PATCH] diff-lib: honor override_submodule_config flag bit

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Jun 2023 00:06:50 -0700

Josip Sokcevic <[email-masked]> writes:

> When `diff.ignoreSubmodules = all` is set and a submodule commit is
> manually staged, `git-commit` should accept it.

What does "it" refer to in this sentence?  Does "accept"ing mean
"Even if the configuration tells us to ignore all submodules, the
command should record the commit with updated submodule"?  Or does
it mean "as the configuration tells us to ignore all submodules, the
command should honor that wish and the command should record the
commit with the same commit at the submodule path as the parent
commit, ignoring the manual addition"?  The sentence needs to be
rewritten to clarify so that readers won't have to ask the above
question.

Everything else I wrote in my draft review I notice was adequately
covered by Eric's review, so I've removed them from this message.

Thanks.